#navi {
  min-height: 50px;
  border-bottom: 2px solid #352220;
  background: #0068b7;
}

.headerMenu {
  font-size: 100%;
  background: #3b3e50;
  color: #fff;
  padding: 3px 10px;
  border-radius: 5px;
  opacity: 0.8;
  top: 70px;
}

.topBar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 50px;
  box-shadow: 0px 2px 5px 0px #00000014;
}

.topBar.navbar:before,
.topBar.navbar:after {
  display: none;
}

.topBar .naviIcon {
  display: block;
  margin: 0 8px;
}

.topBar .naviIcon i {
  font-size: 20px;
  line-height: 70px;
  color: #fff;
}

.topBar .naviIcon img {
  height: 20px;
}

.topBar .logowarp {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.topBar .naviIconWarp {
  display: flex;
  flex-direction: row-reverse;
}

.topBar .naviIconWarp .naviIcon {
  float: none;
  height: auto;
}

.topBar .naviIcon.meWarp {
  height: 70px;
  margin: 0 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

.topBar .naviIcon.meWarp i {
  font-weight: 900;
}

.topBar #brandImg {
  padding-left: 0px !important;
  /* width: 240px; */
  /* height: 50px; */
  /* height: 90px; */
  margin-top: 13px;
}

.meWarp .fas {
  font-size: 18px;
}

.topBar #meName {
  font-size: 100%;
  margin-left: 10px;
  margin-right: 0px;
  color: white;
  ;
}

.topBar .logowarp .logoImg {
  width: 260px;
  height: 68px;
  overflow: hidden;
  text-align: center;
}

.topBar .logowarp .searchBar {
  position: relative;
}

.topBar .logowarp .searchBar input {
  width: 220px;
  padding: 0 30px 0 5px;
  height: 30px;
}

.topBar .logowarp .searchBar .searchButton {
  border: none;
  height: 30px;
  line-height: 30px;
  width: 30px;
  color: #ccc;
  position: absolute;
  top: 0;
  right: 0;
  background: none;
}

.topBar .loginPanel {
  height: auto;
  padding: 10px 20px;
  border-radius: 0;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  background-color: #FFF;
  top: 50px;
  left: calc(100% + 20px);
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
}

.topBar .loginPanel div {
  font-weight: 200;
  width: auto;
}

.topBar .loginPanel div:hover {
  font-weight: 200;
  width: auto;
  color: unset;
}

.topBar .loginPanel .login-menu {
  display: flex;
  align-items: center;
  /* height: 50px; */
  padding: 10px 0;
}

.topBar .loginPanel .login-menu:hover {}

.topBar .loginPanel div:first-child {
  border: none;
}

.topBar .loginPanel .login-menu p {
  margin: 0
}

.topBar .loginPanel .login-menu[data-menu="QRInfo"]::before {
  display: block;
  content: '\f029';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}

.topBar .loginPanel .login-menu[data-menu="profileInfo"]::before {
  display: block;
  content: '\f013';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}

.topBar .loginPanel .login-menu[data-menu="logout"]::before {
  display: block;
  content: '\f2f5';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}



.chatmemberLoadPanel {
  position: absolute;
  top: 100%;
  left: 100%;
  height: 50px;
  -webkit-transform: translate(-50%, 0%);
  transform: translate(-100%, 0%);
  z-index: 1;
  white-space: nowrap;
  padding: 3px;
  font-size: 120%;
  border-radius: 7%;
  display: flex;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
}

.topBar .chatmemberLoadPanel {
  height: 50px;
  padding: 10px 40px;
  border-radius: 0;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  background-color: #FFF;
  top: 50px;
  left: calc(100% + 10px);
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
}

/*.chatmemberListPanel {*/
/*background: gainsboro;*/
/*position: absolute;*/
/*top: 100%;*/
/*left: 100%;*/
/*height: 88px;*/
/*-webkit-transform: translate(-50%, 0%);*/
/*transform: translate(-100%, 0%);*/
/*z-index: 1;*/
/*white-space: nowrap;*/
/*padding: 3px;*/
/*font-size: 120%;*/
/*border-radius: 7%;*/
/*display: flex;*/
/*}*/

.topBar .chatmemberListPanel {
  display: flex;
  z-index: 1;
  position: absolute;
  top: 50px;
  left: calc(100% + 10px);
  height: auto;
  padding: 0;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  background-color: #FFF;
  font-size: 120%;
  cursor: auto;
  -webkit-transform: translate(-50%, 0%);
  transform: translate(-100%, 0%);
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
}

.topBar .chatmemberListPanel .chatmemberList {
  width: 260px;
  /*height: 220px;*/
  overflow-x: hidden;
  overflow-y: auto;
}

.topBar .chatmemberListPanel .chatmemberList::-webkit-scrollbar {
  width: 10px;
}

.topBar .chatmemberListPanel .chatmemberList::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: var(--scrollbar-thumb);
  opacity: 0.5;
}

.topBar .chatmemberListPanel .chatmemberList::-webkit-scrollbar-track {
  background-color: var(--scrollbar-track);
}

.topBar .chatmemberListPanel .chatmember-menu {
  display: flex;
  align-items: center;
  /* height: 50px; */
  padding: 10px 0;
}

.topBar .chatmemberListPanel .chatmember-menu p {
  margin: 0;
}

.chatmember-menu[chatmember-menu="chatmemberInfo"]::before {
  display: block;
  content: '\f013';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  text-align: left;
}

.chatmember-menu[chatmember-menu="chatmemberList"]::before {
  display: block;
  content: '\f2f5';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  padding: 10px 40px;
  text-align: left;
}

.chatmember-menu[chatmember-menu="chatmemberAdd"]::before {
  display: block;
  content: '\f2f5';
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  text-align: right;
}

.input-title {
  font-weight: unset;
  border-bottom-color: black;
}

.topBar .chatmemberListPanel .input-title {
  display: block;
  padding: 10px;
  border-bottom: 1px solid #ccc;
}

.topBar .chatmemberListPanel .chatmemberList .input-member {
  max-width: calc(100% - 15px);
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-end;
  align-items: center;
  padding: 10px;
}

.topBar .chatmemberListPanel .chatmemberList .input-nickname {
  font-weight: unset;
  min-height: 1px;
  display: block;
  box-sizing: border-box;
  margin: 0 0 0 10px;
  font-size: 16px;
}

.topBar .chatmemberListPanel .chatmemberList .input-img {
  margin: 0;
}

.topBar .chatmemberListPanel .chatmemberList .input-img img {
  height: 35px;
  width: 35px;
  display: block;
}

.chatmemberList {
  width: 20%;
  overflow-y: auto;
}

.chatmemberaddButton {
  float: right;
}

#QRInfoWindow {
  z-index: 1001;
  max-width: 500px !important;
  box-shadow: var(--popup_shadow);
  text-align: left;
  padding: 20px;
  background-color: #fff;
}

#QRInfoWindow .QRInfoHead {
  background: none;
}

#QRInfoWindow .QRInfoHead label {
  margin: var(--title_margin) !important;
  padding: var(--title_padding) !important;
  font-size: var(--title_size);
  font-weight: var(--title_weight);
  color: var(--title_color);
}

#QRInfoWindow .QRInfoCont {
  padding: 10px;
  min-height: 350px;
  width: 100%;
  text-align: center;

}

#QRInfoWindow .QRInfoCont img {
  width: 350px;
  height: 350px;
}